Update one or more entities in a specified entity type in the Hubstream instance.
HTTP Method
POST
Endpoint
/api/data/write/StandardIntelLiteWriter
Request URL
{Base URL}/api/data/write/StandardIntelLiteWriter
Sample Request Body
The request body structure depends on:
- The entity type, and
- Fields you want to update
Example: Update Status for Multiple Entities
{
"EntityName": "Investigation",
"Data": {
"Meta": {
"$charset": "UTF-8"
},
"Nodes": {
"Investigation": [
{
"$id": "f811r",
"ID": "1",
"Status": "Active"
},
{
"$id": "eakf2r",
"ID": "2",
"Status": "Active"
}
]
}
}
}
Parameters
| Param Name | Data Type | Description |
|---|---|---|
| EntityName | String | Name of the entity type (for example, Investigation). |
| ID | integer | Unique ID of the entity to be updated (for example, 1). |
| Status | String | New status value to assign to the entity (for example, Active). |
Curl Example
Multi-line format (for readability)
curl --header "Accept-Language: en" \
--http1.1 \
--insecure \
--verbose \
--ntlm \
--user "device-name1\jdoe:P@ssw0rd" \
-X POST \
"https://hubstreamproduction.hubstreamonline.com/api/data/write/StandardIntelLiteWriter" \
-H "Content-Type: application/json" \
-d '{
"EntityName": "Investigation",
"Data": {
"Meta": {
"$charset": "UTF-8"
},
"Nodes": {
"Investigation": [
{
"$id": "f811r",
"ID": "1",
"Status": "Active"
},
{
"$id": "eakf2r",
"ID": "2",
"Status": "Active"
}
]
}
}
}'
Single-line format (for terminal use)
curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/write/StandardIntelLiteWriter" -H "Content-Type: application/json" -d "{\"EntityName\":\"Investigation\",\"Data\":{\"Meta\":{\"$charset\":\"UTF-8\"},\"Nodes\":{\"Investigation\":[{\"$id\":\"f811r\",\"ID\":\"1\",\"Status\":\"Active\"},{\"$id\":\"eakf2r\",\"ID\":\"2\",\"Status\":\"Active\"}]}}}"
Sample Responses
Status code 2XX indicates a successful request and response.
200 OK
Description: Operation succeeded
Response Body:
{
"ID": 1,
"DataRow": {
"RowError": "",
"RowState": 2,
"Table": [
{
"ID": 1,
"Action": "UPDATED",
"EntityTypeID": 11,
"GUID": "7d54807e-66ee-e3c2-d328-c2afbd439860"
},
{
"ID": 2,
"Action": "UPDATED",
"EntityTypeID": 11,
"GUID": "3b6ef36a-040b-5d05-925d-f32187275cd9"
}
],
"ItemArray": [
1,
"UPDATED",
11,
"7d54807e-66ee-e3c2-d328-c2afbd439860"
],
"HasErrors": false
}
}